# drb-topic-sentinel3
The `drb-topic-sentinel3` is a DRB plugin declaring topics about
[Sentinel-3](https://sentinels.copernicus.eu/web/sentinel/missions/sentinel-3)
EO satellite.

## Installation
```bash
pip install drb-topic-sentinel3
```

## Sentinel-3 topics
This section references topics defined in the `drb-topic-sentinel3` DRB plugin.

```mermaid
graph BT
    subgraph "drb-topic-sentinel3"
        S3([Sentinel-3 Product<br/>b3e005b8-7f47-4ab4-b92d-69d0adf54095])
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        AUX([Sentinel-3 Auxiliary Product<br/>811df024-1d70-41c6-b316-f33de2976a17])
    end
    L0 & L12 & AUX --> S3
```
## Sentinel-3 OLCI topics

### Sentinel-3 OLCI Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 OLCI level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        OLCI_L0([Sentinel-3 OLCI Level-0 Product<br/>f4a991c7-c2df-4b2b-9cd1-b3d1399504e1])
        OLCI_L0_EFR([Sentinel-3 OLCI Level-0 EFR Product<br/>c20fd85c-9e5a-41c4-a366-3158f540c785])
        OLCI_L0_CR0([Sentinel-3 OLCI Level-0 CR0 Product<br/>edfd14f9-4045-457a-ab2b-96805b9c6494])
        OLCI_L0_CR1([Sentinel-3 OLCI Level-0 CR1 Product<br/>bb7f17c0-589d-44e3-971a-7812e84731b3])
    end
    OLCI_L0 --> L0
    OLCI_L0_EFR & OLCI_L0_CR0 & OLCI_L0_CR1 --> OLCI_L0
```

### Sentinel-3 OLCI Level 1 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 OLCI level 1"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        OLCI_L12([Sentinel-3 OLCI Level-1-2 Product<br/>4b08ea15-2326-4c8a-b5cd-acc33db70918])
        OLCI_L1([Sentinel-3 OLCI Level-1 Product<br/>bdac9498-0b0d-4d12-b2d9-194a49c47d63])
        OLCI_L1_EFR([Sentinel-3 OLCI Level-1 EFR Product<br/>c25627f1-f43f-4968-a0db-0debff690e1a])
        OLCI_L1_ERR([Sentinel-3 OLCI Level-1 ERR Product<br/>ab5ca6bf-78db-44d9-b7c6-21db50a6c926])
        OLCI_L1_RAC([Sentinel-3 OLCI Level-1 RAC Product<br/>30d8e4f5-7cbe-4b1c-b25c-b1703c60d251])
        OLCI_L1_SPC([Sentinel-3 OLCI Level-1 SPC Product<br/>04959590-327c-4aab-be50-44e6d4de5156])
    end
    OLCI_L12 --> L12
    OLCI_L1 --> OLCI_L12
    OLCI_L1_EFR & OLCI_L1_ERR & OLCI_L1_RAC & OLCI_L1_SPC --> OLCI_L1
```

### Sentinel-3 OLCI Level 2 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 OLCI level 2"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        OLCI_L12([Sentinel-3 OLCI Level-1-2 Product<br/>4b08ea15-2326-4c8a-b5cd-acc33db70918])
        OLCI_L2([Sentinel-3 OLCI Level-2 Product<br/>846ce2b7-9fa0-4072-bfe3-a9e4a53b275c])
        OLCI_L2_LFR([Sentinel-3 OLCI Level-2 LFR Product<br/>d6c30ad5-6093-4381-a42e-2c884db65b11])
        OLCI_L2_LRR([Sentinel-3 OLCI Level-2 LRR Product<br/>e6a71c97-73c1-49bb-970c-c4db5353b9fa])
        OLCI_L2_WFR([Sentinel-3 OLCI Level-2 WFR Product<br/>95dbdabc-b10b-43ae-a16e-258c3489b719])
        OLCI_L2_WRR([Sentinel-3 OLCI Level-2 WRR Product<br/>b4f4a802-8d0f-4039-b22d-56485a930135])
    end
    OLCI_L12 --> L12
    OLCI_L2 --> OLCI_L12
    OLCI_L2_LFR & OLCI_L2_LRR & OLCI_L2_WFR & OLCI_L2_WRR --> OLCI_L2
```
## Sentinel-3 SLSTR topics

### Sentinel-3 SLSTR Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SLSTR level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        SLSTR_L0([Sentinel-3 SLSTR Level-0 Product<br/>7edf6c9d-5bda-4729-8cc1-2a326a73c342])
        SLSTR_L0_SLT([Sentinel-3 SLSTR Level-0 SLT Product<br/>57d6ba76-a063-49b4-b048-586a5cc6cf77])
    end
    SLSTR_L0 --> L0
    SLSTR_L0_SLT --> SLSTR_L0
```

### Sentinel-3 SLSTR Level 1 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SLSTR level 1"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        SLSTR_L12([Sentinel-3 SLSTR Level-1-2 Product<br/>a34c9628-81d6-4255-89f7-b6ea327fcf56])
        SLSTR_L1([Sentinel-3 SLSTR Level-1 Product<br/>d0a38aea-dc9f-45be-9740-a0cef8a15eb5])
        SLSTR_L1_RBT([Sentinel-3 SLSTR Level-1 RBT Product<br/>3181be03-a5ef-45a5-aa93-c46af394b4c1])
      end
    SLSTR_L12 --> L12
    SLSTR_L1 --> SLSTR_L12
    SLSTR_L1_RBT --> SLSTR_L1
```

### Sentinel-3 SLSTR Level 2 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SLSTR level 2"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        SLSTR_L12([Sentinel-3 SLSTR Level-1-2 Product<br/>a34c9628-81d6-4255-89f7-b6ea327fcf56])
        SLSTR_L2([Sentinel-3 SLSTR Level-2 Product<br/>8c3d71a5-15df-4161-8974-6c6df33d94df])
        SLSTR_L2_LST([Sentinel-3 SLSTR Level-2 LST Product<br/>33dc1990-ccdd-45b4-be68-943598a62568])
        SLSTR_L2_WST([Sentinel-3 SLSTR Level-2 WST Product<br/>2897470c-57b8-4f1c-ba5e-d14b1018cb60])
        SLSTR_L2_FRP([Sentinel-3 SLSTR Level-2 FRP Product<br/>324ec859-05fa-454c-9f43-61ed4c781c0d])

      end
    SLSTR_L12 --> L12
    SLSTR_L2 --> SLSTR_L12
    SLSTR_L2_LST & SLSTR_L2_WST & SLSTR_L2_FRP --> SLSTR_L2
```
## Sentinel-3 SRAL topics

### Sentinel-3 SRAL Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SRAL level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        SRAL_L0([Sentinel-3 SRAL Level-0 Product<br/>bdb71e03-c51a-4a57-ac67-bcce6795d948])
        SRAL_L0_SRA([Sentinel-3 SRAL Level-0 SRA Product<br/>805caf0d-dda1-49f3-925a-3ae7fa18573a])
        SRAL_L0_CAL([Sentinel-3 SRAL Level-0 CAL Product<br/>805caf0d-dda1-49f3-925a-3ae7fa18573a])
    end
    SRAL_L0 --> L0
    SRAL_L0_SRA & SRAL_L0_CAL --> SRAL_L0
```

### Sentinel-3 SRAL Level 1 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SRAL level 1"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        SRAL_L12([Sentinel-3 SRAL Level-1-2 Product<br/>b684eb6b-b3ca-49f6-bcfc-331f40753c48])
        SRAL_L1([Sentinel-3 SRAL Level-1 Product<br/>b547cfb2-84c5-4f77-94d7-0e1ec0f50e36])
        SRAL_L1_SRA([Sentinel-3 SRAL Level-1 SRA Product<br/>a306795b-2cae-431e-b24d-9def0d956a1d])
        SRAL_L1_SRA_A([Sentinel-3 SRAL Level-1 SRA_A Product<br/>d9479b7f-e421-416a-a215-95831464bec7])
        SRAL_L1_SRA_BS([Sentinel-3 SRAL Level-1 SRA_BS Product<br/>71813ded-c8cf-46ec-8b02-e97e235b46de])
        SRAL_L1_CAL([Sentinel-3 SRAL Level-1 CAL Product<br/>f256b3d7-a6b9-4cd2-8c03-395bf7383802])

    end
    SRAL_L12 --> L12
    SRAL_L1 --> SRAL_L12
    SRAL_L1_SRA & SRAL_L1_SRA_A & SRAL_L1_SRA_BS & SRAL_L1_CAL --> SRAL_L1
```

### Sentinel-3 SRAL Level 2 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SRAL level 2"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        SRAL_L12([Sentinel-3 SRAL Level-1-2 Product<br/>b684eb6b-b3ca-49f6-bcfc-331f40753c48])
        SRAL_L2([Sentinel-3 SRAL Level-2 Product<br/>7168ca09-5323-446b-b51c-da48eda2c8b8])
        SRAL_L2_LAN([Sentinel-3 SRAL Level-2 LAN Product<br/>17a3b8bb-419b-4a85-afbb-5dcf8848e3e5])
        SRAL_L2_WAT([Sentinel-3 SRAL Level-2 WAT Product<br/>f2df0312-5663-4d02-86bf-63b1fd3cdf0d])

    end
    SRAL_L12 --> L12
    SRAL_L2 --> SRAL_L12
    SRAL_L2_LAN & SRAL_L2_WAT --> SRAL_L2
```
## Sentinel-3 SYNERGIE topics

### Sentinel-3 SYNERGIE level 1 topics

```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SYNERGIE level 1"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        SYNERGIE([>Sentinel-3 SYNERGIE Product<br/>de025f7e-a3af-468a-9aa5-c3bbdfe8346e])
        SYNERGIE_L1([Sentinel-3 SLSTR Level-1 SLT Product<br/>9a9a6e67-8f7a-4f5e-a60b-b2cb618f1ead])
        SYNERGIE_L1_SYN([ Sentinel-3 SYNERGIE Level-1 SYN Product<br/>ccda2d8d-19b1-4f3f-90f0-e85b8f743bed])
        SYNERGIE_L1_MISR([ Sentinel-3 SYNERGIE Level-1 MISR Product<br/>0c074dde-ec07-4eb1-b039-1532c78f2a47])

    end
    SYNERGIE --> L12
    SYNERGIE_L1 --> SYNERGIE
    SYNERGIE_L1_SYN & SYNERGIE_L1_MISR --> SYNERGIE_L1

```

### Sentinel-3 SYNERGIE level 2 topics

```mermaid
graph BT
    subgraph "drb-topic-sentinel3 SYNERGIE level 2"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        SYNERGIE([>Sentinel-3 SYNERGIE Product<br/>de025f7e-a3af-468a-9aa5-c3bbdfe8346e])
        SYNERGIE_L2([Sentinel-3 SYNERGIE Level-2 Product<br/>d0d11702-c384-49ba-a029-ba59bba89946])
        SYNERGIE_L2_VGK_V10_VG1([Sentinel-3 SYNERGIE Level-2 VGK, V10, VG1 Product<br/>e55d95c0-9a46-406f-b111-72991fdcc498])
        SYNERGIE_L2_SYN([Sentinel-3 SYNERGIE Level-2 SYN Product<br/>d10f1241-5bb8-4ea2-8acb-5daa366b783b])
        SYNERGIE_L2_AOD([Sentinel-3 SYNERGIE Level-2 AOD Product<br/>33ac3d8f-8b52-4d0f-bfd4-9283b3d5975c])
        SYNERGIE_L2_VGP([Sentinel-3 SYNERGIE Level-2 VGP Product<br/>50f9cd76-e1ab-4c08-8b4d-619bc1e413c2])
        SYNERGIE_L2_VG1([Sentinel-3 SYNERGIE Level-2 VG1 Product<br/>71eca866-7955-480c-82b2-5922fa11fd84])
        SYNERGIE_L2_VG1([Sentinel-3 SYNERGIE Level-2 VG1 Product<br/>71eca866-7955-480c-82b2-5922fa11fd84])
        SYNERGIE_L2_V10([Sentinel-3 SYNERGIE Level-2 V10 Product<br/>300c6ea1-6a99-4e5c-b31d-6894504756de])
        SYNERGIE_L2_VGK([Sentinel-3 SYNERGIE Level-2 VGK Product<br/>5df42427-13f7-4dc0-8a8d-d0b6fcfd332d])

    end
    SYNERGIE --> L12
    SYNERGIE_L2 --> SYNERGIE
    SYNERGIE_L2_VGK_V10_VG1 & SYNERGIE_L2_SYN & SYNERGIE_L2_AOD & SYNERGIE_L2_VGP --> SYNERGIE_L2
    SYNERGIE_L2_VG1 & SYNERGIE_L2_V10 & SYNERGIE_L2_VGK --> SYNERGIE_L2_VGK_V10_VG1
```

## Sentinel-3 MWR topics

### Sentinel-3 MWR Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 MWR level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        MWR_L0([Sentinel-3 MWR Level-0 Product<br/>a4445e77-5f68-4395-b4a4-60486be387c3])
        MWR_L0_MWR([Sentinel-3 MWR Level-0 MWR Product<br/>f8a3b689-887a-49c1-a0ff-9022f8b4994b])
    end
    MWR_L0 --> L0
    MWR_L0_MWR --> MWR_L0
```

### Sentinel-3 MWR Level 1 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 MWR level 1"
        L12([Sentinel-3 Level-1-2 Product<br/>825d9f1f-d91f-4683-b670-db286f1ec4a8])
        MWR_L1([Sentinel-3 MWR Level-1 Product<br/>5833cc40-8e08-400d-85b9-e8d7400627eb])
        MWR_L1_MWR([Sentinel-3 MWR Level-1 MWR Product<br/>74af01a3-07db-4990-975f-b5aa7cbacf6b])
        MWR_L1_CAL([Sentinel-3 MWR Level-1 CAL Product<br/>a61fc54e-c408-4a9c-991d-ffc5f448fb8a])

    end
    MWR_L1 --> L12
    MWR_L1_MWR & MWR_L1_CAL --> MWR_L1
```

## Sentinel-3 GNSS topics

### Sentinel-3 GNSS Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 GNSS level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        GNSS_L0([Sentinel-3 GNSS Level-0 Product<br/>19a6b11a-668a-47fc-b02d-08e067e30f7d])
        GNSS_L0_GNS([Sentinel-3 GNSS Level-0 GNS Product<br/>02a072e7-8579-4e4a-968a-a93114a1a07d])
    end
    GNSS_L0 --> L0
    GNSS_L0_GNS --> GNSS_L0
```

## Sentinel-3 DORIS topics

### Sentinel-3 DORIS Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 DORIS level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        DORIS_L0([Sentinel-3 DORIS Level-0 Product<br/>a4d5c91c-4b62-411d-836d-546a0536b960])
        DORIS_L0_DOP([Sentinel-3 DORIS Level-0 DOP Product<br/>24386e2e-e300-491b-8c32-294c59749981])
        DORIS_L0_NAV([Sentinel-3 DORIS Level-0 NAV Product<br/>779a860c-f9b4-4274-bdbc-9b1977c0d81f])
    end
    DORIS_L0 --> L0
    DORIS_L0_DOP & DORIS_L0_NAV --> DORIS_L0
```

## Sentinel-3 Telemetry topics

### Sentinel-3 Telemetry Level 0 topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 Telemetry level 0"
        L0([Sentinel-3 Level-0 Product<br/>6ee38ad7-14b9-4d94-a412-2bf8cc7d79c1])
        TM_L0([Sentinel-3 Telemetry Product<br/>d0b6c354-4ce8-4df5-b109-f6d31b59c795])
        TM_L0_HKM([Sentinel-3 Telemetry Level-0 HKM Product<br/>b548d313-51cd-4d01-808a-f796435d8981])
        TM_L0_HKMB([Sentinel-3 Telemetry Level-0 HKM2 Product<br/>ccc02601-80a4-4342-bdba-aee03ad05962])
        TM_L0_NAT([Sentinel-3 Telemetry Level-0 NAT Product<br/>c7b4da8f-5d60-4655-ac22-af22256d716b])
    end
    TM_L0 --> L0
    TM_L0_HKM & TM_L0_HKMB & TM_L0_NAT --> TM_L0
```

## Sentinel-3 Auxiliary EOF topics

### Sentinel-3 Auxiliary EOF topics
```mermaid
graph BT
    subgraph "drb-topic-sentinel3 Auxiliary EOF"
        AUX_EOF_POD([Sentinel-3 EOF Precise Orbit Determination POD Auxiliary Product<br/>10a92612-b414-4bd8-8197-2e0233c6a22f])
        AUX_POEORB([Sentinel-3 EOF Precise Orbit Ephemerides Orbit File Auxiliary Product<br/>4edce242-cbfc-4320-a113-776765a058d3])
        AUX_MOEORB([Sentinel-3 EOF Medium Orbit Ephemerides Auxiliary Product<br/>f91556fd-d35c-4535-8c3e-372314afe973])
        AUX_PRCPTF([Sentinel-3 EOF Precise Platform Data Auxiliary Product<br/>4eb7935d-4401-43d3-a723-448efbd055b4])
        SR___ROE_AX([Sentinel-3 EOF NRT Restituted Orbit State Vectors Auxiliary Product<br/>4fa2441e-71d9-4531-9ae3-ba11af6804a6])
    end
    AUX_POEORB & AUX_MOEORB & AUX_PRCPTF & SR___ROE_AX --> AUX_EOF_POD
